Bug 1980531 - additionalHelpActions 'HelpMenu' ConsoleLinks not translated
Summary: additionalHelpActions 'HelpMenu' ConsoleLinks not translated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: Kim Dobestein
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-08 18:50 UTC by David Taylor
Modified: 2021-10-18 17:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:38:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
'Learning Portal' and 'OpenShift Blog' console links are translated (87.47 KB, image/png)
2021-08-23 08:52 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console-operator pull 565 0 None open Bug 1980531: Add release.openshift.io/delete annotation to consoleLink CRDs 2021-07-16 08:16:46 UTC
Github openshift console pull 9702 0 None None None 2021-08-03 14:51:52 UTC
Github openshift console pull 9811 0 None None None 2021-08-16 20:43:07 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:38:42 UTC

Description David Taylor 2021-07-08 18:50:37 UTC
Description of problem:

In the Masthead, the Help dropdown menu. The bottom section may contain additionalHelpActions which come from ConsoleLinks 'HelpMenu' yaml and are not translated.  

spadgett wrote: "I think it would be better to move this [additionalHelpActions 'HelpMenu' ConsoleLinks] into console so they can be translated instead of leaving them as ConsoleLink resources, although it will require some operator changes."

Comment 4 Yadan Pei 2021-08-23 08:50:56 UTC
1. by default, no ConsoleLinks CRDs will be created
$ oc get consolelinks
No resources found

2. The two default Help Links `Learning Portal` and `OpenShift Blog` now can be translated

Verified on 4.9.0-0.nightly-2021-08-22-070405

Comment 5 Yadan Pei 2021-08-23 08:52:12 UTC
Created attachment 1816736 [details]
'Learning Portal' and 'OpenShift Blog' console links are translated

Comment 8 errata-xmlrpc 2021-10-18 17:38:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.